@import '../../../old-styles/index.scss';
/**
 * Different states
 */
%success {
  &.success {
    .input-wrapper {
      position: relative;

      &:after {
        position: absolute;
        bottom: 9px;
        right: 10px;
        content: '\e906';
        font-family: relatient, sans-serif;
        color: #208837;
        font-size: 12px;
        background: white;
        padding-left: 10px;
      }

      .input {
        border: 1px solid #208837;
        padding-right: 28px;

        &:focus {
          border-color: #208837 !important;
          box-shadow: 0 0 0 0.2rem #2088374d;
        }
      }
    }
  }
}

%error {
  &.error {
    .input-wrapper {
      position: relative;

      &:after {
        position: absolute;
        bottom: 9px;
        right: 10px;
        content: '\e907';
        font-family: relatient, sans-serif;
        color: #d42f30;
        font-size: 12px;
        background: white;
        padding-left: 10px;
      }

      .input {
        border: 1px solid #d42f30;
        padding-right: 28px;

        &:focus {
          border-color: #d42f30 !important;
          box-shadow: 0 0 0 0.2rem #d42f304d;
        }
      }
    }

    .text {
      color: #d42f30;
    }
  }
}

/**
 * Input field component
 */
.input-field-component {
  @extend %success;
  @extend %error;

  .input-wrapper {
    display: block;
    margin-bottom: 0;

    .required {
      font: 400 20px/22px Lato;
      margin-right: 6px;
      color: #d42f30;
    }

    .label {
      font: 400 16px/19px Lato;
      color: #263940;
    }

    .input {
      display: block;
      width: 100%;
      margin-top: 6px;
      padding: 6px 12px;
      border: 1px solid #adafb0;
      border-radius: 4px;
      color: #00171f;

      &:focus {
        border: 1px solid #0075a3 !important;
        outline: none;
        box-shadow: 0 0 0 0.2rem #b2e0f3;
      }

      &::placeholder {
        font: 400 16px/20px Lato;
        color: #76797B;
      }
    }
  }

  .text {
    font: 400 16px/20px Lato;
    margin-top: 6px;
    margin-left: 14px;
  }
}
